<ion-header>
  <ion-toolbar>
    <ion-title>Добро пожаловать</ion-title>
  </ion-toolbar>
</ion-header>


<ion-content>
	<ion-list class="justify-content-center">
		<ion-radio-group allow-empty-selection="false" (ionChange)="checkType($event)">
		  <div class="radioBtn">
		  <ion-item>
			<ion-label>Такси</ion-label>
			<ion-radio slot="start" value="taksi" checked></ion-radio>
		  </ion-item>
		  <ion-item>
			<ion-label>Админ</ion-label>
			<ion-radio slot="start" value="admin"></ion-radio>
		  </ion-item>
		</div>
		</ion-radio-group>
	</ion-list>
	  
  <ion-row class="justify-content-center" *ngIf= "isAdmin" >
		<ion-col align-self-center size-md="6" size-lg="5" size-xs="12">
	        <ion-card>
				<ion-card-header>
				  <ion-card-title>Узген сервер админ</ion-card-title>
				</ion-card-header>
				<ion-card-content>
				  <form class="form" [formGroup]="validations_form" 
				  (ngSubmit)="login(validations_form.value)">
					<ion-item>
					  <ion-label position="floating" color="primary">Email </ion-label>
					  <ion-input type="text" formControlName="email"></ion-input>
					</ion-item>
					<ion-item>
					  <ion-label position="floating" color="primary">Password</ion-label>
					  <ion-input type="password" formControlName="password"></ion-input>
					</ion-item>
			
					<ion-button class="submit-btn" type="submit" 
					[disabled]="!validations_form.valid">Log In</ion-button>
					<label class="error-message"> {{errorMessage}} </label>
				  </form> 
				</ion-card-content>
			  </ion-card>
		</ion-col>
	</ion-row> 
	
	<ion-row class="justify-content-center" *ngIf= "isTaksi">
		<ion-col align-self-center size-md="6" size-lg="5" size-xs="12">
	        <ion-card>
				<ion-card-header>
				  <ion-card-title>Такси</ion-card-title>
				</ion-card-header>
				<ion-card-content>
				  <form class="form" [formGroup]="validations_form" 
				  (ngSubmit)="loginAsTaksi(validations_form.value)">
					<ion-item>
					  <ion-label position="floating" color="primary">Email </ion-label>
					  <ion-input type="text" formControlName="email"></ion-input>
					</ion-item>
					<ion-item>
					  <ion-label position="floating" color="primary">Password</ion-label>
					  <ion-input type="password" formControlName="password"></ion-input>
					</ion-item>
			
					<ion-button class="submit-btn" type="submit" 
					[disabled]="!validations_form.valid">Log In</ion-button>
					<label class="error-message"> {{errorMessage}} </label>
				  </form> 
				</ion-card-content>
			  </ion-card>
		</ion-col>
	</ion-row> 

</ion-content>
	
